## com.gargoylesoftware.htmlunit.html
Class HtmlTextArea

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.DomNode
          com.gargoylesoftware.htmlunit.html.DomNamespaceNode
              com.gargoylesoftware.htmlunit.html.DomElement
                  com.gargoylesoftware.htmlunit.html.HtmlElement
                      com.gargoylesoftware.htmlunit.html.StyledElement
                          com.gargoylesoftware.htmlunit.html.ClickableElement
                              com.gargoylesoftware.htmlunit.html.HtmlTextArea

All Implemented Interfaces:
  DisabledElement, SubmittableElement, java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.Node

    public class HtmlTextArea

extends ClickableElement
implements DisabledElement, SubmittableElement

Wrapper for the HTML element "textarea".

Version:
  $Revision: 4895 $
Author:
  Mike Bowler, Barnaby Court, David K. Taylor, Christian Sell, David D. Kilzer, Marc Guillemot, Daniel Gredler, Ahmed Ashour, Sudhan Moghe
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.gargoylesoftware.htmlunit.html.HtmlElement
`HtmlElement.ChildElementsIterator`

Nested classes/interfaces inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`DomNode.ChildIterator, DomNode.DescendantElementsIterator`

Field Summary
`static java.lang.String` `TAG_NAME` The HTML tag represented by this element.

Fields inherited from class com.gargoylesoftware.htmlunit.html.HtmlElement
`TAB_INDEX_OUT_OF_BOUNDS`

Fields inherited from class com.gargoylesoftware.htmlunit.html.DomElement
`ATTRIBUTE_NOT_DEFINED, ATTRIBUTE_VALUE_EMPTY`

Fields inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`AS_TEXT_BLANK, AS_TEXT_BLOCK_SEPARATOR, AS_TEXT_NEW_LINE, AS_TEXT_TAB, PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`protected void` `doType(char c, boolean shiftKey, boolean ctrlKey, boolean altKey)` Performs the effective type action, called after the keyPress event and before the keyUp event.
`void` `focus()` Sets the focus on this element.
`java.lang.String` `getAccessKeyAttribute()` Returns the value of the attribute "accesskey".
`java.lang.String` `getColumnsAttribute()` Returns the value of the attribute "cols".
`java.lang.String` `getDefaultValue()` Returns the default value to use when this element gets reset, if applicable.
`java.lang.String` `getDisabledAttribute()` Returns the value of the attribute "disabled".
`java.lang.String` `getNameAttribute()` Returns the value of the attribute "name".
`java.lang.String` `getOnBlurAttribute()` Returns the value of the attribute "onblur".
`java.lang.String` `getOnChangeAttribute()` Returns the value of the attribute "onchange".
`java.lang.String` `getOnFocusAttribute()` Returns the value of the attribute "onfocus".
`java.lang.String` `getOnSelectAttribute()` Returns the value of the attribute "onselect".
`Page` `getPage()` Returns the page which contains this element.
`java.lang.String` `getReadOnlyAttribute()` Returns the value of the attribute "readonly".
`java.lang.String` `getRowsAttribute()` Returns the value of the attribute "rows".
`java.lang.String` `getSelectedText()` Returns the selected text in this element, or `null` if there is no selected text in this element.
`int` `getSelectionEnd()` Returns the end position of the selected text in this element.
`int` `getSelectionStart()` Returns the start position of the selected text in this element.
`org.apache.commons.httpclient.NameValuePair[]` `getSubmitKeyValuePairs()` Returns an array of `NameValuePair`s that are the values that will be sent back to the server whenever this element's containing form is submitted.
`java.lang.String` `getTabIndexAttribute()` Returns the value of the attribute "tabindex".
`java.lang.String` `getText()` Returns the value that would be displayed in the text area.
`boolean` `isDefaultChecked()` Returns the default checked state to use when this element gets reset, if applicable.
`boolean` `isDisabled()` Returns `true` if the disabled attribute is set for this element.
`boolean` `isReadOnly()` Returns `true` if this element is read only.
`protected void` `printXml(java.lang.String indent, java.io.PrintWriter printWriter)` Recursively write the XML data for the node tree starting at `node`.
`void` `reset()` Returns the value of this element to the default value or checked state (usually what it was at the time the page was loaded, unless it has been modified via JavaScript).
`void` `select()` Focuses this element and selects all of its text.
`void` `setDefaultChecked(boolean defaultChecked)` Sets the default checked state to use when this element gets reset, if applicable.
`void` `setDefaultValue(java.lang.String defaultValue)` Sets the default value to use when this element gets reset, if applicable.
`void` `setReadOnly(boolean isReadOnly)` Sets the "readOnly" attribute.
`void` `setSelectionEnd(int selectionEnd)` Sets the end position of the selected text in this element.
`void` `setSelectionStart(int selectionStart)` Sets the start position of the selected text in this element.
`void` `setText(java.lang.String newValue)` Sets the new value of this text area.

Methods inherited from class com.gargoylesoftware.htmlunit.html.StyledElement
`getClassAttribute, getIdAttribute, getStyleAttribute, getTitleAttribute`

Methods inherited from class com.gargoylesoftware.htmlunit.html.HtmlElement

`addHtmlAttributeChangeListener, appendChildIfNoneExists, blur, checkChildHierarchy, click, click, click, dblClick, dblClick, doClickAction, fireEvent, fireEvent, fireHtmlAttributeAdded, fireHtmlAttributeRemoved, fireHtmlAttributeReplaced, getChildElements, getElementById, getElementsByAttribute, getEnclosingElement, getEnclosingForm, getEnclosingFormOrDie, getEventHandler, getHtmlElementsByTagName, getHtmlElementsByTagNames, getId, getLangAttribute, getNodeName, getOnClickAttribute, getOnDblClickAttribute, getOneHtmlElementByAttribute, getOnKeyDownAttribute, getOnKeyPressAttribute, getOnKeyUpAttribute, getOnMouseDownAttribute, getOnMouseMoveAttribute, getOnMouseOutAttribute, getOnMouseOverAttribute, getOnMouseUpAttribute, getTabIndex, getTextDirectionAttribute, getXmlLangAttribute, hasHtmlElementWithId, isAttributeCaseSensitive, isStateUpdateFirst, isSubmittableByEnter, mouseDown, mouseDown, mouseMove, mouseMove, mouseOut, mouseOut, mouseOver, mouseOver, mouseUp, mouseUp, preventDefault, removeAttribute, removeChild, removeEventHandler, removeHtmlAttributeChangeListener, rightClick, rightClick, setAttributeNS, setEventHandler, setEventHandler, setId, toString, type, type, type, type`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomElement

`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getAttributesMap, getElementsByTagName, getElementsByTagNameNS, getNodeType, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEmptyXmlTagExpanded, namespaces, printOpeningTagContentAsXml, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomNamespaceNode
`getLocalName, getNamespaceURI, getPrefix, getQualifiedName, setPrefix`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomNode

`addDomChangeListener, appendChild, asText, asXml, compareDocumentPosition, fireNodeAdded, fireNodeDeleted, getAllHtmlChildElements, getAncestors, getBaseURI, getByXPath, getCanonicalXPath, getChildNodes, getChildren, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getPage, getParentNode, getPreviousSibling, getReadyState, getScriptObject, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, hasChildNodes, insertBefore, insertBefore, isAncestorOf, isBlock, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, isTrimmedText, lookupNamespaceURI, lookupPrefix, normalize, notifyIncorrectness, onAddedToPage, onAllChildrenAddedToPage, printChildrenAsXml, remove, removeAllChildren, removeChild, removeDomChangeListener, replace, replaceChild, selectNodes, selectSingleNode, setNextSibling, setNodeValue, setParentNode, setPreviousSibling, setReadyState, setScriptObject, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Field Detail

### TAG_NAME

    public static final java.lang.String TAG_NAME

  The HTML tag represented by this element.

  See Also:
    Constant Field Values

Method Detail

### getText

    public final java.lang.String getText()

  Returns the value that would be displayed in the text area.

  Returns:
    the text

### setText

    public final void setText(java.lang.String newValue)

  Sets the new value of this text area. Note that this acts like 'pasting' the text, but to simulate characters entry you should use `HtmlElement.type(String)`.

  Parameters:
    `newValue` - the new value

### getSubmitKeyValuePairs

    public org.apache.commons.httpclient.NameValuePair[] getSubmitKeyValuePairs()

  Returns an array of `NameValuePair`s that are the values that will be sent back to the server whenever this element's containing form is submitted.

  THIS METHOD IS INTENDED FOR THE USE OF THE FRAMEWORK ONLY AND SHOULD NOT BE USED BY CONSUMERS OF HTMLUNIT. USE AT YOUR OWN RISK.

  Specified by:
    `getSubmitKeyValuePairs` in interface `SubmittableElement`
  Returns:
    the values that will be sent back to the server whenever this element's containing form is submitted

### reset

    public void reset()

  Returns the value of this element to the default value or checked state (usually what it was at the time the page was loaded, unless it has been modified via JavaScript).

  Specified by:
    `reset` in interface `SubmittableElement`
  See Also:
    `SubmittableElement.reset()`

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

  Sets the default value to use when this element gets reset, if applicable.

  Specified by:
    `setDefaultValue` in interface `SubmittableElement`
  Parameters:
    `defaultValue` - the default value to use when this element gets reset, if applicable
  See Also:
    `SubmittableElement.setDefaultValue(String)`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Returns the default value to use when this element gets reset, if applicable.

  Specified by:
    `getDefaultValue` in interface `SubmittableElement`
  Returns:
    the default value to use when this element gets reset, if applicable
  See Also:
    `SubmittableElement.getDefaultValue()`

### setDefaultChecked

    public void setDefaultChecked(boolean defaultChecked)

  Sets the default checked state to use when this element gets reset, if applicable. This implementation is empty; only checkboxes and radio buttons really care what the default checked value is.

  Specified by:
    `setDefaultChecked` in interface `SubmittableElement`
  Parameters:
    `defaultChecked` - the default checked state to use when this element gets reset, if applicable
  See Also:
    `SubmittableElement.setDefaultChecked(boolean)`, `HtmlRadioButtonInput.setDefaultChecked(boolean)`, `HtmlCheckBoxInput.setDefaultChecked(boolean)`

### isDefaultChecked

    public boolean isDefaultChecked()

  Returns the default checked state to use when this element gets reset, if applicable. This implementation returns `false`; only checkboxes and radio buttons really care what the default checked value is.

  Specified by:
    `isDefaultChecked` in interface `SubmittableElement`
  Returns:
    the default checked state to use when this element gets reset, if applicable
  See Also:
    `SubmittableElement.isDefaultChecked()`, `HtmlRadioButtonInput.isDefaultChecked()`, `HtmlCheckBoxInput.isDefaultChecked()`

### getNameAttribute

    public final java.lang.String getNameAttribute()

  Returns the value of the attribute "name". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "name" or an empty string if that attribute isn't defined

### getRowsAttribute

    public final java.lang.String getRowsAttribute()

  Returns the value of the attribute "rows". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "rows" or an empty string if that attribute isn't defined

### getColumnsAttribute

    public final java.lang.String getColumnsAttribute()

  Returns the value of the attribute "cols". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "cols" or an empty string if that attribute isn't defined

### isDisabled

    public final boolean isDisabled()

  Returns `true` if the disabled attribute is set for this element.

  Specified by:
    `isDisabled` in interface `DisabledElement`
  Returns:
    `true` if the disabled attribute is set for this element

### getDisabledAttribute

    public final java.lang.String getDisabledAttribute()

  Returns the value of the attribute "disabled". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Specified by:
    `getDisabledAttribute` in interface `DisabledElement`
  Returns:
    the value of the attribute "disabled" or an empty string if that attribute isn't defined

### getReadOnlyAttribute

    public final java.lang.String getReadOnlyAttribute()

  Returns the value of the attribute "readonly". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "readonly" or an empty string if that attribute isn't defined

### getTabIndexAttribute

    public final java.lang.String getTabIndexAttribute()

  Returns the value of the attribute "tabindex". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "tabindex" or an empty string if that attribute isn't defined

### getAccessKeyAttribute

    public final java.lang.String getAccessKeyAttribute()

  Returns the value of the attribute "accesskey". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "accesskey" or an empty string if that attribute isn't defined

### getOnFocusAttribute

    public final java.lang.String getOnFocusAttribute()

  Returns the value of the attribute "onfocus". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "onfocus" or an empty string if that attribute isn't defined

### getOnBlurAttribute

    public final java.lang.String getOnBlurAttribute()

  Returns the value of the attribute "onblur". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "onblur" or an empty string if that attribute isn't defined

### getOnSelectAttribute

    public final java.lang.String getOnSelectAttribute()

  Returns the value of the attribute "onselect". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "onselect" or an empty string if that attribute isn't defined

### getOnChangeAttribute

    public final java.lang.String getOnChangeAttribute()

  Returns the value of the attribute "onchange". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "onchange" or an empty string if that attribute isn't defined

### select

    public void select()

  Focuses this element and selects all of its text.

### getSelectedText

    public java.lang.String getSelectedText()

  Returns the selected text in this element, or `null` if there is no selected text in this element.

  Returns:
    the selected text in this element, or `null` if there is no selected text in this element

### getSelectionStart

    public int getSelectionStart()

  Returns the start position of the selected text in this element.

  Returns:
    the start position of the selected text in this element

### setSelectionStart

    public void setSelectionStart(int selectionStart)

  Sets the start position of the selected text in this element.

  Parameters:
    `selectionStart` - the start position of the selected text in this element

### getSelectionEnd

    public int getSelectionEnd()

  Returns the end position of the selected text in this element.

  Returns:
    the end position of the selected text in this element

### setSelectionEnd

    public void setSelectionEnd(int selectionEnd)

  Sets the end position of the selected text in this element.

  Parameters:
    `selectionEnd` - the end position of the selected text in this element

### printXml

    protected void printXml(java.lang.String indent,
                            java.io.PrintWriter printWriter)

  Recursively write the XML data for the node tree starting at `node`.

  Overrides:
    `printXml` in class `DomElement`
  Parameters:
    `indent` - white space to indent child nodes
    `printWriter` - writer where child nodes are written

### doType

    protected void doType(char c,
                          boolean shiftKey,
                          boolean ctrlKey,
                          boolean altKey)

  Performs the effective type action, called after the keyPress event and before the keyUp event.

  Overrides:
    `doType` in class `HtmlElement`
  Parameters:
    `c` - the character you with to simulate typing
    `shiftKey` - `true` if SHIFT is pressed during the typing
    `ctrlKey` - `true` if CTRL is pressed during the typing
    `altKey` - `true` if ALT is pressed during the typing

### focus

    public void focus()

  Sets the focus on this element.

  Overrides:
    `focus` in class `HtmlElement`

### setReadOnly

    public void setReadOnly(boolean isReadOnly)

  Sets the "readOnly" attribute.

  Parameters:
    `isReadOnly` - `true` if this element is read only

### isReadOnly

    public boolean isReadOnly()

  Returns `true` if this element is read only.

  Returns:
    `true` if this element is read only

### getPage

    public Page getPage()

  Returns the page which contains this element.

  Returns:
    the page which contains this element

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.